diff -Naur ciso-1.0.0/Makefile ciso-1.0.0.patched/Makefile
--- ciso-1.0.0/Makefile	2006-11-03 15:13:32.000000000 -0500
+++ ciso-1.0.0.patched/Makefile	2022-01-26 13:07:45.226989171 -0500
@@ -8,10 +8,10 @@
 
 all : ciso
 ciso : ciso.o
-	gcc -o ciso ciso.o -lz
+	gcc $(CFLAGS) -o ciso ciso.o -lz
 
 ciso.o : ciso.c
-	gcc -o ciso.o -c ciso.c
+	gcc $(CFLAGS) -o ciso.o -c ciso.c
 
 install :
 	$(INSTALL) -m 755 ciso $(USRBINDIR)/ciso
diff -Naur ciso-1.0.0/ciso.c ciso-1.0.0.patched/ciso.c
--- ciso-1.0.0/ciso.c	2006-11-03 15:53:29.000000000 -0500
+++ ciso-1.0.0.patched/ciso.c	2022-01-26 13:10:25.148974634 -0500
@@ -22,8 +22,10 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <stdint.h>
 #include <zlib.h>               /* /usr(/local)/include/zlib.h */
 #include <zconf.h>
+#include <string.h>
 
 #include "ciso.h"
 
@@ -401,7 +403,7 @@
 	int level;
 	int result;
 
-	fprintf(stderr, "Compressed ISO9660 converter Ver.1.01 by BOOSTER\n");
+	fprintf(stderr, "Compressed ISO9660 converter Ver.1.0.0 by BOOSTER\n");
 
 	if (argc != 4)
 	{
diff -Naur ciso-1.0.0/ciso.h ciso-1.0.0.patched/ciso.h
--- ciso-1.0.0/ciso.h	2006-11-03 15:53:02.000000000 -0500
+++ ciso-1.0.0.patched/ciso.h	2022-01-26 11:39:19.537471479 -0500
@@ -28,9 +28,9 @@
 typedef struct ciso_header
 {
 	unsigned char magic[4];			/* +00 : 'C','I','S','O'                 */
-	unsigned long header_size;		/* +04 : header size (==0x18)            */
+	uint32_t header_size;		/* +04 : header size (==0x18)            */
 	unsigned long long total_bytes;	/* +08 : number of original data size    */
-	unsigned long block_size;		/* +10 : number of compressed block size */
+	uint32_t block_size;		/* +10 : number of compressed block size */
 	unsigned char ver;				/* +14 : version 01                      */
 	unsigned char align;			/* +15 : align of index value            */
 	unsigned char rsv_06[2];		/* +16 : reserved                        */
